Create attribute - Fabric
Create attribute
cURL
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/order/attribute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"code": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"required": true
}
'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/attribute"
payload = {
"code": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"required": True
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: '<string>',
name: '<string>',
description: '<string>',
type: '<string>',
required: true
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/attribute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/attribute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>',
'name' => '<string>',
'description' => '<string>',
'type' => '<string>',
'required' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/order/attribute"
payload := strings.NewReader("{\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"type\": \"<string>\",\n \"required\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.post("https://prod01.oms.fabric.inc/api/v2/order/attribute")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"type\": \"<string>\",\n \"required\": true\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/order/attribute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"type\": \"<string>\",\n \"required\": true\n}"
response = http.request(request)
puts response.read_body
Possible Responses
Success (200)
{
"id": "<string>",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"required": true
}
Bad Request (400)
{
"message": "Bad Request"
}
Not Found (404)
{
"message": "Not found"
}
Internal Server Error (500)
{
"message": "Internal Server Error"
}
Authorizations
- Authorization: A string in the header, required in the format
Bearer <token>.
Headers
- x-site-context: A string header, required, containing a JSON object with the mandatory attributes like
account, channel, stage, etc.
Body
- OrderHelperAttributeDTO Model:
code: String
name: String
description: String
type: String
required: Boolean
Response Model
- OrderAttribute Model:
id: String
code: String
name: String
description: String
type: Enum (Available options: BOOLEAN, INTEGER, NUMBER, STRING)
required: Boolean